Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# CORBA_ORB_ObjectIdList_out Class Reference

`#include <ObjectIDList.h>`

Collaboration diagram for CORBA_ORB_ObjectIdList_out:

[legend]
List of all members.

## Public Methods
| CORBA_ORB_ObjectIdList_out (CORBA_ORB_ObjectIdList *&)
| CORBA_ORB_ObjectIdList_out (CORBA_ORB_ObjectIdList_var &)
| CORBA_ORB_ObjectIdList_out (const CORBA_ORB_ObjectIdList_out &)
CORBA_ORB_ObjectIdList_out& | operator= (const CORBA_ORB_ObjectIdList_out &)
CORBA_ORB_ObjectIdList_out& | operator= (CORBA_ORB_ObjectIdList *)
| operator CORBA_ORB_ObjectIdList *& ()
CORBA_ORB_ObjectIdList*& | ptr (void)
CORBA_ORB_ObjectIdList* | operator-> (void)
TAO_SeqElem_String_Manager | operator[] (CORBA::ULong slot)
## Private Methods
void | operator= (const CORBA_ORB_ObjectIdList_var &)
## Private Attributes
CORBA_ORB_ObjectIdList*& | ptr_

## Constructor & Destructor Documentation

ACE_INLINE CORBA_ORB_ObjectIdList_out::CORBA_ORB_ObjectIdList_out ( | CORBA_ORB_ObjectIdList *& p )

ACE_INLINE CORBA_ORB_ObjectIdList_out::CORBA_ORB_ObjectIdList_out ( | CORBA_ORB_ObjectIdList_var & p )

ACE_INLINE CORBA_ORB_ObjectIdList_out::CORBA_ORB_ObjectIdList_out ( | const CORBA_ORB_ObjectIdList_out & p )

## Member Function Documentation

ACE_INLINE CORBA_ORB_ObjectIdList_out::operator CORBA_ORB_ObjectIdList *& ( | )

ACE_INLINE CORBA_ORB_ObjectIdList * CORBA_ORB_ObjectIdList_out::operator-> ( | void )

void CORBA_ORB_ObjectIdList_out::operator= ( | const CORBA_ORB_ObjectIdList_var & )`[private]`

ACE_INLINE CORBA_ORB_ObjectIdList_out & CORBA_ORB_ObjectIdList_out::operator= ( | CORBA_ORB_ObjectIdList * p )

ACE_INLINE CORBA_ORB_ObjectIdList_out & CORBA_ORB_ObjectIdList_out::operator= ( | const CORBA_ORB_ObjectIdList_out & p )

ACE_INLINE TAO_SeqElem_String_Manager CORBA_ORB_ObjectIdList_out::operator[] ( | CORBA::ULong slot )

ACE_INLINE CORBA_ORB_ObjectIdList *& CORBA_ORB_ObjectIdList_out::ptr ( | void )

## Member Data Documentation

CORBA_ORB_ObjectIdList *& CORBA_ORB_ObjectIdList_out::ptr_`[private]`

The documentation for this class was generated from the following files:

- ObjectIDList.h
- ObjectIDList.i